/**
 * MerchandiseService.java
 * Copyright (C) 2010 SLMS
 * Simple Logistics Management System
 * 
 */
package com.zds.slms.service;

import java.util.List;

import com.zds.slms.dao.IMerchandiseDao;
import com.zds.slms.domain.Merchandise;

/**
 * Copyright (C) 2010:SLMS<br/>
 * Project:SLMS<br/>
 * Module ID:<br/>
 * Comments:Simple Logistics Management System<br/>
 * JDK version used:JDK1.6<br/>
 * Package:com.zds.slms.service<br/>
 * Author:chenyongzheng<br/>
 * Create Date:2010-12-6<br/>
 * Modified By:<br/>
 * Modified Date:<br/>
 * Why & What is modified:<br/>
 * Version:0.1<br/>
 */
public class MerchandiseService implements IMerchandiseService {
	// 商品档案持久化处理接口
	private IMerchandiseDao merchandiseDao;

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.zds.slms.service.IMerchandiseService#findMerchandise(com.zds.slms
	 * .domain.Merchandise)
	 */
	public List<Merchandise> findMerchandise(Merchandise merchandise) {
		return merchandiseDao.findMerchandise(merchandise);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.zds.slms.service.IMerchandiseService#saveMerchandise(com.zds.slms
	 * .domain.Merchandise)
	 */
	public void saveMerchandise(Merchandise merchandise) {
		merchandiseDao.saveMerchandise(merchandise);

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.zds.slms.service.IMerchandiseService#deleteMerchandise(java.lang.
	 * String[])
	 */
	public void deleteMerchandise(String[] merchandiseId) {
		merchandiseDao.deleteMerchandise(merchandiseId);

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.zds.slms.service.IMerchandiseService#updateMerchandise(com.zds.slms
	 * .domain.Merchandise)
	 */
	public void updateMerchandise(Merchandise merchandise) {
		merchandiseDao.updateMerchandise(merchandise);

	}

	/**
	 * @return the merchandiseDao
	 */
	public IMerchandiseDao getMerchandiseDao() {
		return merchandiseDao;
	}

	/**
	 * @param merchandiseDao
	 *            the merchandiseDao to set
	 */
	public void setMerchandiseDao(IMerchandiseDao merchandiseDao) {
		this.merchandiseDao = merchandiseDao;
	}

}
